#ifndef COMMON_H
#define COMMON_H

#include <libavcodec/avcodec.h>

/* our screen pixel format is hardcoded... */
#define SCREEN_PIX_FMT PIX_FMT_BGRA

struct video_state;
struct options;

void die(char*);
int should_quit(void);		/* defined in main.c */
void set_should_quit(void);	/* defined in main.c */
void avpicture_alloc_wrap(AVPicture*, const int, const int);

static inline int fetch_and_inc(int *val)
{
	return __sync_fetch_and_add(val, 1);
}

static inline int fetch_and_dec(int *val)
{
	return __sync_fetch_and_sub(val, 1);
}

#endif
