#ifndef _LITMUS_VIDEO_H
#define _LITMUS_VIDEO_H

#ifdef USE_LITMUS
void make_litmus_decoder(struct thread_ctx*);
void make_litmus_display(struct thread_ctx*);
void wait_for_release(void);
void become_regular_task(void);
#define litmus_job_completion()		sleep_next_period()
#else
/*
 * Don't do certain things if we are not using LITMUS^RT
 */
#define make_litmus_decoder(t_ctx)	do { } while (0)
#define make_litmus_display(t_ctx)	do { } while (0)
#define litmus_job_completion()		do { } while (0)
#define wait_for_release()		do { } while (0)
#define become_regular_task()		do { } while (0)
#endif

#endif
