#ifndef _THREAD_CTX_H
#define _THREAD_CTX_H

struct video_state;
struct options;
struct sems;
struct prof_event_record;

enum thread_selector {
	THREAD_DISPLAY	= 0,
	THREAD_DECODE	= 1,
	THREAD_COUNT	= 2,
};

#define THREAD_REC_BUF_COUNT	200000

struct thread_ctx {
	struct video_state* vs;
	struct options* opts;
	struct sems *sems;
	struct prof_event_record *rec_buf[THREAD_COUNT];
	int rec_buf_idx[THREAD_COUNT];
	int decoder_done;
	unsigned long long period;
	unsigned int queue_size;
};


void init_thread_ctx(struct thread_ctx*, struct video_state*,
		struct options*, struct sems*);
void destroy_thread_ctx(struct thread_ctx*);

void wait_preload_queue();
void signal_preload_queue();

void thread_save_trace_buffers(struct thread_ctx*);

#endif
