#ifndef VIDEO_COMMON_H
#define VIDEO_COMMON_H

#include <libavcodec/avcodec.h>
#include <libavformat/avformat.h>

struct queue;

struct video_state {
	const char* fname;

	int video_stream;	/* which stream of the file has the video? */
	unsigned long long frames_decoded;
	double period;		/* in milliseconds */

	AVFormatContext *fmt_ctx;
	AVCodecContext *codec_ctx;
	AVCodec *codec;
	AVPacket packet;

	struct queue* vid_q;
};

struct options;
struct thread_ctx;

void initialize_av(struct thread_ctx*);
void *decode_thread_loop(void*);
void preload_video_queue(struct thread_ctx*);
void tear_down_av(struct video_state*);

#endif

